Bug 116448 - Improve wording of "Skip empty cells" in Import Text and Text to Columns dialog
Summary: Improve wording of "Skip empty cells" in Import Text and Text to Columns dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Dialog Paste-Special-Unformatted
  Show dependency treegraph
 
Reported: 2018-03-17 14:30 UTC by Laurent BP
Modified: 2018-03-31 15:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2018-03-17 14:30:08 UTC
Description:
Follow-up of bug 113979, "Skip empty cells" may be a bit ambiguous, as it doesn't indicate whether source or target cells are meant. Specifically, the source doesn't have "cells" yet... concluding empty target cells then is really confusing and not what was meant.

Steps to Reproduce:
1. Select data in a column
2. Data > Text to Columns
or
1. Copy date
2. Edit > Paste unformatted text

Actual Results:  
UI dialog shows an option "Skip empty cells" which is ambiguous: which cells? Source or destination?

Expected Results:
Text of the option should be clearer.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Buovjaga 2018-03-17 16:47:21 UTC
Pinging the UX wordsmiths
Comment 2 Heiko Tietze 2018-03-19 10:14:55 UTC
Changing the text to "Skip empty source cells" makes the user perhaps wonder if there is the other way around (it's a FAQ [1]). Maybe "Don't override with empty cells" but the term is quite common, Excel 2016 calls it "Skip blanks". 

So my take is WFM. 

[1] https://forum.openoffice.org/en/forum/viewtopic.php?f=9&t=14712
Comment 3 Heiko Tietze 2018-03-21 20:50:42 UTC
We discussed the topic in the design meeting and came to the conclusion that a tooltip is the best way to support users. It could be "If enabled, blank cells in source will not override the target."
Comment 4 Heiko Tietze 2018-03-22 13:08:19 UTC
Patch at https://gerrit.libreoffice.org/#/c/51741/
Comment 5 Commit Notification 2018-03-22 21:04:42 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cae836e941a73bc1bfbbf03e520003c58c51aa0

tdf#116448 - Function "Skip empty cells" unclear

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2018-03-31 15:58:09 UTC
Verified with
Version: 6.1.0.0.alpha0+
Build-ID: 940f90f3da170b62379e9d1d33d4e6d690997026
CPU-Threads: 4; BS: Linux 4.13; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-30_23:13:39
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group